List for integration executor

Lists orders assigned to the caller’s integration executor organization across all shipping integrations with integration coordinator organizations expanded, filtering, sorting, pagination, and optional search. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (ShippingIntegrationOrderListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Field to sort by.
Allowed values:
sort_orderenumOptional

Sort order (asc or desc).

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
searchstringOptional
Search provider order IDs and reference numbers.
filter_shipping_integrationenumOptional

Filter by shipping integration(s)

filter_statusenumOptional

Filter by unified status(es)

Allowed values:
filter_integration_order_idstringOptional
Filter by the provider's exact order ID
filter_reference_numberstringOptional
Filter by an exact reference number carried on the order
filter_ordered_at_timestamp_gtedatetimeOptional

Filter ordered_at_timestamp >= value

filter_ordered_at_timestamp_ltedatetimeOptional

Filter ordered_at_timestamp <= value

filter_last_mirrored_at_timestamp_gtedatetimeOptional

Filter last_mirrored_at_timestamp >= value

filter_last_mirrored_at_timestamp_ltedatetimeOptional

Filter last_mirrored_at_timestamp <= value

filter_first_mirrored_at_timestamp_gtedatetimeOptional

Filter first_mirrored_at_timestamp >= value

filter_first_mirrored_at_timestamp_ltedatetimeOptional

Filter first_mirrored_at_timestamp <= value

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Orders List for Integration Executor Operators V1request Unprocessable Entity Error